commit: ecdde3a9dfd1fb04e556f0d30aa828a285b6d3bb
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 3 20:59:36 2022 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Jan 3 21:16:45 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ecdde3a9
x11-themes/fluent-icon-theme: new package; add version 2021.12.20
thanks to gyakovlev for x11-themes/tela-icon-theme
this pkg's ebuild is very much based on tela
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
x11-themes/fluent-icon-theme/Manifest | 1 +
.../fluent-icon-theme-2021.12.20.ebuild | 56 ++++++++++++++++++++++
x11-themes/fluent-icon-theme/metadata.xml | 25 ++++++++++
3 files changed, 82 insertions(+)
diff --git a/x11-themes/fluent-icon-theme/Manifest
b/x11-themes/fluent-icon-theme/Manifest
new file mode 100644
index 000000000000..304b2ab8b645
--- /dev/null
+++ b/x11-themes/fluent-icon-theme/Manifest
@@ -0,0 +1 @@
+DIST fluent-icon-theme-2021.12.20.tar.gz 33924235 BLAKE2B
17f051f086858ceb9969a8cacf6bbd2a9efd2e19d98872866ec5d9ea40e0389f3f9ad451dd6ed449716108eee20ad34fff1b121b497b4323314868bb1fb4429e
SHA512
fc5e131c90f9444c92d0305489350f590f29dd78f03dd090959db00a1415a0bd35998e25ed93213c176536fa31e780942593b5d5470e4aac6fe98eb066463fa8
diff --git a/x11-themes/fluent-icon-theme/fluent-icon-theme-2021.12.20.ebuild
b/x11-themes/fluent-icon-theme/fluent-icon-theme-2021.12.20.ebuild
new file mode 100644
index 000000000000..fd58d9f171e1
--- /dev/null
+++ b/x11-themes/fluent-icon-theme/fluent-icon-theme-2021.12.20.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# ie. 2021.12.20 -> 2021-12-20
+MY_PV="${PV//./-}"
+MY_PN="${PN^}"
+
+inherit xdg
+
+DESCRIPTION="Fluent icon theme for Linux desktops"
+HOMEPAGE="https://github.com/vinceliuice/Fluent-icon-theme"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vinceliuice/${MY_PN}.git"
+else
+
SRC_URI="https://github.com/vinceliuice/${MY_PN}/archive/${MY_PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${MY_PN}-${MY_PV}"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+black +hardlink round"
+RESTRICT="binchecks strip test"
+
+BDEPEND="sys-apps/util-linux[hardlink(-)?]"
+
+src_prepare() {
+ default
+
+ sed -i '/gtk-update-icon-cache/d' install.sh || die
+}
+
+src_install() {
+ dodir /usr/share/icons
+ local myinstallopts=(
+ --all
+ --dest "${ED}/usr/share/icons"
+ $(usex black '--black' '')
+ $(usex round '--round' '')
+ )
+ bash ./install.sh "${myinstallopts[@]}" || die "install script failed"
+
+ if use hardlink; then
+ einfo "Linking duplicate icons... (may take a long time)"
+ hardlink -pot "${ED}/usr/share/icons" || die "hardlink failed"
+ fi
+
+ # installs broken symlink (by design, but we remove it due to QA
warnings)
+ find "${ED}" -xtype l -delete || die "removing broken symlinks failed"
+
+ einstalldocs
+}
diff --git a/x11-themes/fluent-icon-theme/metadata.xml
b/x11-themes/fluent-icon-theme/metadata.xml
new file mode 100644
index 000000000000..93627ffdc59e
--- /dev/null
+++ b/x11-themes/fluent-icon-theme/metadata.xml
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Maciej Barć</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/vinceliuice/Fluent-icon-theme/issues</bugs-to>
+ <remote-id type="github">vinceliuice/Fluent-icon-theme</remote-id>
+ </upstream>
+ <use>
+ <flag name="black">
+ Install the black version of symbolic icons
+ (for white color-scheme panels)
+ </flag>
+ <flag name="hardlink">
+ Hardlink duplicate icons to greatly reduce installation size
+ </flag>
+ <flag name="round">
+ Install the round version of symbolic icons
+ </flag>
+ </use>
+</pkgmetadata>